unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, QzHtmlLabel2, ExtCtrls, QzMiniHtml2, QzHtmlMarquee2,
  QzHtmlDialog2, QzHtmlEditor2;

const LABELVERSION = '1.9';
type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Notebook1: TNotebook;
    QzHtmlLabel21: TQzHtmlLabel2;
    QzHtmlLabel22: TQzHtmlLabel2;
    QzHtmlLabel23: TQzHtmlLabel2;
    QzHtmlLabel24: TQzHtmlLabel2;
    QzHtmlLabel25: TQzHtmlLabel2;
    QzHtmlLabel26: TQzHtmlLabel2;
    QzHtmlDialog21: TQzHtmlDialog2;
    Panel3: TPanel;
    QzHtmlLabel27: TQzHtmlLabel2;
    QzHtmlLabel28: TQzHtmlLabel2;
    QzHtmlEditor21: TQzHtmlEditor2;
    QzHtmlLabel29: TQzHtmlLabel2;
    QzHtmlLabel210: TQzHtmlLabel2;
    procedure QzHtmlLabel21LinkClicked(Sender: TObject; href: String;
      var Handled: Boolean);
    procedure QzHtmlLabel22DynamicUpdate(Sender: TObject;
      dynamicID: String; var Text: String);
    procedure QzHtmlLabel23FormElementClicked(Sender: TObject; fmName,
      fmMethod, fmAction, inputName, inputType, inputValue: String);
    procedure QzHtmlLabel23UserDefinedDraw(Sender: TObject; itemID,
      ItemType: String; Canvas: TCanvas; Rect: TRect; variable1, variable2,
      variable3: String);
    procedure QzHtmlLabel23UserDefinedUpdate(Sender: TObject; itemID,
      ItemType: String; var Width, Height: Integer; var variable1,
      variable2, variable3: String);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.QzHtmlLabel21LinkClicked(Sender: TObject; href: String;
  var Handled: Boolean);
begin
  Handled := true;
  if pos('http:',href) = 0 then
  if Notebook1.Pages.indexOf(href) = -1 then
    ShowMessage('Under Construction 8-)') else
  Notebook1.ActivePage := href else
  Handled := false;
end;                                                                    

procedure TForm1.QzHtmlLabel22DynamicUpdate(Sender: TObject;
  dynamicID: String; var Text: String);
begin
  if dynamicID = 'ver' then Text := LABELVERSION;
  if dynamicId = 'news' then Text := '<p bgcolor="clSilver"><b><font color="clRed">News:</font>Component is now Under <u>MPL/LGPL License</u></b>'+
                                     '<ul>' +
                                     '<li>' +
                                     'Basic Table processing (Table, Tr, Th, Td)' +
                                     '</li>' +
                                     '<li>' +
                                     '<s>Component TQzHtmlDialog2</s> <font color="clRed"> Still bugged... </font>' +
                                     '</li>' +
                                     '<li>' +
                                     'Fixed AutoHeight always enabled even the property is set to false. ' +
                                     '</li>' +
                                     '<li>' +
                                     'Fixed a crash if unknown tag.' +
                                     '</li>' +
                                     '<li>' +
                                     'Fixed a crash if unclosed tag.' +
                                     '</li>' +
                                     '<li>' +
                                     'Fixed ScrollLeft not working correctly.' +
                                     '</li>' +
                                     '</ul></p>';
   if dynamicID = 'news' then Text := '<p bgcolor="clSilver"><b><font color="clRed">News:</font>Component is now Under <u>MPL/LGPL License</u></b></p>'+
                                      '<table>'+'<tr>'+
                                      '<td bgcolor="clLime" width="100">New Features : </td>'+
                                      '<td width="400">PDF Export support. (Require PowerPDF)' +
                                      '<br>Download PowerPDF <a href="http://www.est.hi-ho.ne.jp/takeshi_kanno/powerpdf/index.html">Here</a></td>'+
//                                      '<br>Issue with MultiPage, so everything will be print on same page, pageheight = labelheight</td>'+
                                      '</tr><tr>'+
                                      '<td bgcolor="clLime" width="100">Improvement : </td>'+
                                      '<td width="400">Table cells loading and updating speed up.</td>'+
                                      '</tr><tr>'+
                                      '<td bgcolor="clLime" width="100">Improvement : </td>'+
                                      '<td width="400">Accept non "Quoted" values. e.g. &lt;p bgcolor=clRed&gt; </td>'+
                                      '</tr><tr>'+
                                      '<td bgcolor="clLime" width="100">Improvement : </td>'+
                                      '<td width="400">Work with tables without /tr.</td>'+
                                      '</tr><tr>'+
                                      '<td bgcolor="clLime" width="100">Improvement : </td>'+
                                      '<td width="400">Mouse action, dynamic update and other events for Tables =).</td>'+
                                      '</tr><tr>'+
                                      '<td bgcolor="clLime" width="100">Improvement : </td>'+
                                      '<td width="400">Label update when resizing.</td>'+
                                      '</tr><tr>'+
                                      '<td bgcolor="clYellow" width="100">Bug fix : </td>'+
                                      '<td width="400">Fixed indentation for list items.</td>'+
                                      '</tr>'+
                                      '</table>';
end;

procedure TForm1.QzHtmlLabel23FormElementClicked(Sender: TObject; fmName,
  fmMethod, fmAction, inputName, inputType, inputValue: String);
begin

  if inputName = 'editor' then
  begin
    QzHtmlEditor21.Html := QzHtmlLabel23.Html;
    if QzHtmlEditor21.Execute then
      QzHtmlLabel210.Html := QzHtmlEditor21.Html;
    QzHtmlLabel210.Height := 269;
  end
  else
  if inputType <> 'checkbox' then
    begin
      QzHtmlDialog21.Html := '<b>' + inputValue + '</b> Clicked<br>';
      QzHtmlDialog21.Title := 'Test';
      QzHtmlDialog21.Execute;
    end;
//    showmessage(inputValue + ' clicked');
end;

procedure TForm1.QzHtmlLabel23UserDefinedDraw(Sender: TObject; itemID,
  ItemType: String; Canvas: TCanvas; Rect: TRect; variable1, variable2,
  variable3: String);
begin
  if ItemType='colorbox' then
    begin
      Canvas.Pen.Color := clBlack;
       if Variable1 <> '' then
       Canvas.Brush.Color := WebColor2TColor(Variable1) else
       Canvas.Brush.Color := clLime;
       with Rect do
       Canvas.Rectangle(Left,Top,Right-2,Bottom-2);
    end;
end;

procedure TForm1.QzHtmlLabel23UserDefinedUpdate(Sender: TObject; itemID,
  ItemType: String; var Width, Height: Integer; var variable1, variable2,
  variable3: String);
begin
  if ItemType='colorbox' then
    begin
       Width := 12;
       Height := 12;
    end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  Notebook1.ActivePage := 'Default';
end;

end.
