unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, QzPDFPrinter2, QzHtmlLabel2, QzMiniHtml2,
  QzHtmlEditor2;

type
  TForm1 = class(TForm)
    QzHtmlLabel21: TQzHtmlLabel2;
    QzPDFPrinter21: TQzPDFPrinter2;
    Button1: TButton;
    SaveDialog1: TSaveDialog;
    QzMiniHtml21: TQzMiniHtml2;
    QzHtmlEditor21: TQzHtmlEditor2;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  SaveDialog1.DefaultExt := '.pdf';
  SaveDialog1.InitialDir := 'c:\temp\';
  SaveDialog1.FileName := 'Output.pdf';
  if SaveDialog1.Execute then
    begin
    QzMiniHtml21.Left := 0;
    QzMiniHtml21.height := 0;
    QzMiniHtml21.width := QzHtmlLabel21.Width;
    QzMiniHtml21.height := QzHtmlLabel21.Height;
    QzMiniHtml21.Caption.Html := QzHtmlLabel21.HtmlEditor.html;
    QzMiniHtml21.LoadFromCaption;
    QzPdfprinter21.QzMiniHtml2 := QzMiniHtml21;
    QzPdfprinter21.Filename := SaveDialog1.filename;
    QzPdfprinter21.Print;
    RunWWW(SaveDialog1.FileName);
    end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  QzHtmlEditor21.Html := QzHtmlLabel21.Html;
  if QzHtmlEditor21.Execute then
    QzHtmlLabel21.Html := QzHtmlEditor21.Html;
end;

end.
